Bug 1120248 - System fails to suspend
Summary: System fails to suspend
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 20
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 14:17 UTC by khuffenb
Modified: 2015-06-29 21:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:37:06 UTC


Attachments (Terms of Use)

Description khuffenb 2014-07-16 14:17:40 UTC
Description of problem:
System fails to suspend.  Both idle-based and laptop closing initiated suspends are affected.  System goes to "locked screen" login/switch user box.

Version-Release number of selected component (if applicable):
xorg-x11drv-nouveau.x86_64           1:1.0.9-2.fc20
systemd.x86_64                       208-19.fc20
kernel.x86_64                        3.15.4-200.fc20

How reproducible:
Fails every time lid is closed or idle initiates suspend.

Additional info:
From /var/log/messages:
Jul 16 08:20:10 localhost kernel: [35011.787645] Freezing user space processes ... (elapsed 0.032 seconds) done.
Jul 16 08:20:10 localhost kernel: [35011.819963] Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
Jul 16 08:20:10 localhost kernel: [35011.821231] Suspending console(s) (use no_console_suspend to debug)
Jul 16 08:20:10 localhost kernel: [35011.821785] sd 0:0:0:0: [sda] Synchronizing SCSI cache
Jul 16 08:20:10 localhost kernel: [35011.821959] sd 0:0:0:0: [sda] Stopping disk
Jul 16 08:20:10 localhost kernel: [35011.832612] nouveau  [     DRM] suspending display...
Jul 16 08:20:10 localhost kernel: [35011.832619] nouveau  [     DRM] unpinning framebuffer(s)...
Jul 16 08:20:10 localhost kernel: [35011.832625] nouveau  [     DRM] evicting buffers...
Jul 16 08:20:10 localhost kernel: [35011.832626] nouveau  [     DRM] waiting for kernel channels to go idle...
Jul 16 08:20:10 localhost kernel: [35011.832659] nouveau  [     DRM] suspending client object trees...
Jul 16 08:20:10 localhost kernel: [35011.833406] nouveau  [     DRM] suspending kernel object tree...
Jul 16 08:20:10 localhost kernel: [35013.835328] nouveau E[   PDISP][0000:01:00.0][0xc000857c][ffff880140952e00] fini timeout, 0xc2061008
Jul 16 08:20:10 localhost kernel: [35013.835332] nouveau E[   PDISP][0000:01:00.0][0xc000857c][ffff880140952e00] failed suspend, -16
Jul 16 08:20:10 localhost kernel: [35013.835336] nouveau E[     DRM] 0xd1500000:0xd15c7c00 suspend failed with -16
Jul 16 08:20:10 localhost kernel: [35013.835423] nouveau E[     DRM] 0xdddddddd:0xd1500000 suspend failed with -16
Jul 16 08:20:10 localhost kernel: [35013.835576] nouveau E[     DRM] 0xffffffff:0xdddddddd suspend failed with -16
Jul 16 08:20:10 localhost kernel: [35013.836291] nouveau E[     DRM] 0xffffffff:0xffffffff suspend failed with -16
Jul 16 08:20:10 localhost kernel: [35013.836482] nouveau  [     DRM] resuming display...
Jul 16 08:20:10 localhost kernel: [35013.836508] nouveau E[     DRM] bo ffff8800a4bf1800 pinned elsewhere: 0x00000002 vs 0x00000004
Jul 16 08:20:10 localhost kernel: [35013.836513] [drm:drm_helper_resume_force_mode] *ERROR* failed to set mode on crtc ffff880141fed000
Jul 16 08:20:10 localhost kernel: [35013.839831] pci_pm_suspend(): nouveau_pmops_suspend+0x0/0xb0 [nouveau] returns -16
Jul 16 08:20:10 localhost kernel: [35013.839840] dpm_run_callback(): pci_pm_suspend+0x0/0x140 returns -16
Jul 16 08:20:10 localhost kernel: [35013.839849] PM: Device 0000:01:00.0 failed to suspend async: error -16
Jul 16 08:20:10 localhost kernel: [35013.839918] PM: Some devices failed to suspend, or early wake event detected
Jul 16 08:20:10 localhost kernel: [35013.851947] sd 0:0:0:0: [sda] Starting disk
Jul 16 08:20:10 localhost kernel: [35013.941779] pciehp 0000:00:1c.5:pcie04: Device 0000:04:00.0 already exists at 0000:04:00, cannot hot-add
Jul 16 08:20:10 localhost kernel: [35013.941783] pciehp 0000:00:1c.5:pcie04: Cannot add device at 0000:04:00
Jul 16 08:20:10 localhost kernel: [35013.941795] pciehp 0000:00:1c.1:pcie04: Device 0000:03:00.0 already exists at 0000:03:00, cannot hot-add
Jul 16 08:20:10 localhost kernel: [35013.941799] pciehp 0000:00:1c.1:pcie04: Cannot add device at 0000:03:00
Jul 16 08:20:10 localhost kernel: [35014.157922] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Jul 16 08:20:10 localhost kernel: [35014.159126] ata1.00: ACPI cmd f5/00:00:00:00:00:a0 (SECURITY FREEZE LOCK) filtered out
Jul 16 08:20:10 localhost kernel: [35014.159250] ata1.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
Jul 16 08:20:10 localhost kernel: [35014.159860] PM: resume of devices complete after 319.743 msecs
Jul 16 08:20:10 localhost kernel: [35014.159877] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Jul 16 08:20:10 localhost kernel: [35014.160886] ata5: SATA link down (SStatus 0 SControl 300)
Jul 16 08:20:10 localhost kernel: [35014.161458] ata1.00: ACPI cmd f5/00:00:00:00:00:a0 (SECURITY FREEZE LOCK) filtered out
Jul 16 08:20:10 localhost kernel: [35014.161563] ata1.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
Jul 16 08:20:10 localhost kernel: [35014.162600] ata1.00: configured for UDMA/133
Jul 16 08:20:10 localhost kernel: [35014.162608] ata2.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
Jul 16 08:20:10 localhost kernel: [35014.168115] ata2.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
Jul 16 08:20:10 localhost kernel: [35014.170086] ata2.00: configured for UDMA/100
Jul 16 08:20:10 localhost kernel: [35014.183411] Restarting tasks ... done.
Jul 16 08:20:10 localhost kernel: [35014.188288] video LNXVIDEO:00: Restoring backlight state
Jul 16 08:20:10 localhost kernel: [35014.188641] video LNXVIDEO:02: Restoring backlight state
Jul 16 08:20:10 localhost kernel: Freezing user space processes ... (elapsed 0.032 seconds) done.
Jul 16 08:20:10 localhost kernel: Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
Jul 16 08:20:10 localhost kernel: Suspending console(s) (use no_console_suspend to debug)
Jul 16 08:20:10 localhost kernel: sd 0:0:0:0: [sda] Synchronizing SCSI cache
Jul 16 08:20:10 localhost kernel: sd 0:0:0:0: [sda] Stopping disk
Jul 16 08:20:10 localhost kernel: nouveau  [     DRM] suspending display...
Jul 16 08:20:10 localhost kernel: nouveau  [     DRM] unpinning framebuffer(s)...
Jul 16 08:20:10 localhost kernel: [35014.220358] IPv6: ADDRCONF(NETDEV_UP): p5p1: link is not ready
Jul 16 08:20:10 localhost kernel: [35014.222189] iwlwifi 0000:03:00.0: L1 Disabled; Enabling L0S
Jul 16 08:20:10 localhost kernel: nouveau  [     DRM] evicting buffers...
Jul 16 08:20:10 localhost kernel: nouveau  [     DRM] waiting for kernel channels to go idle...
Jul 16 08:20:10 localhost kernel: [35014.229402] iwlwifi 0000:03:00.0: Radio type=0x0-0x0-0x3
Jul 16 08:20:10 localhost kernel: nouveau  [     DRM] suspending client object trees...
Jul 16 08:20:10 localhost kernel: nouveau  [     DRM] suspending kernel object tree...
Jul 16 08:20:10 localhost kernel: nouveau E[   PDISP][0000:01:00.0][0xc000857c][ffff880140952e00] fini timeout, 0xc2061008
Jul 16 08:20:10 localhost kernel: nouveau E[   PDISP][0000:01:00.0][0xc000857c][ffff880140952e00] failed suspend, -16
Jul 16 08:20:10 localhost kernel: nouveau E[     DRM] 0xd1500000:0xd15c7c00 suspend failed with -16
Jul 16 08:20:10 localhost kernel: nouveau E[     DRM] 0xdddddddd:0xd1500000 suspend failed with -16
Jul 16 08:20:10 localhost kernel: nouveau E[     DRM] 0xffffffff:0xdddddddd suspend failed with -16
Jul 16 08:20:10 localhost kernel: [35014.255568] IPv6: ADDRCONF(NETDEV_UP): wls1: link is not ready
Jul 16 08:20:10 localhost kernel: nouveau E[     DRM] 0xffffffff:0xffffffff suspend failed with -16
Jul 16 08:20:10 localhost kernel: nouveau  [     DRM] resuming display...
Jul 16 08:20:10 localhost kernel: nouveau E[     DRM] bo ffff8800a4bf1800 pinned elsewhere: 0x00000002 vs 0x00000004
Jul 16 08:20:10 localhost kernel: [drm:drm_helper_resume_force_mode] *ERROR* failed to set mode on crtc ffff880141fed000
Jul 16 08:20:10 localhost kernel: pci_pm_suspend(): nouveau_pmops_suspend+0x0/0xb0 [nouveau] returns -16
Jul 16 08:20:10 localhost kernel: dpm_run_callback(): pci_pm_suspend+0x0/0x140 returns -16
Jul 16 08:20:10 localhost kernel: PM: Device 0000:01:00.0 failed to suspend async: error -16
Jul 16 08:20:10 localhost kernel: PM: Some devices failed to suspend, or early wake event detected
Jul 16 08:20:10 localhost kernel: sd 0:0:0:0: [sda] Starting disk
Jul 16 08:20:10 localhost kernel: pciehp 0000:00:1c.5:pcie04: Device 0000:04:00.0 already exists at 0000:04:00, cannot hot-add
Jul 16 08:20:10 localhost kernel: pciehp 0000:00:1c.5:pcie04: Cannot add device at 0000:04:00
Jul 16 08:20:10 localhost kernel: pciehp 0000:00:1c.1:pcie04: Device 0000:03:00.0 already exists at 0000:03:00, cannot hot-add
Jul 16 08:20:10 localhost kernel: pciehp 0000:00:1c.1:pcie04: Cannot add device at 0000:03:00
Jul 16 08:20:10 localhost kernel: ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Jul 16 08:20:10 localhost kernel: ata1.00: ACPI cmd f5/00:00:00:00:00:a0 (SECURITY FREEZE LOCK) filtered out
Jul 16 08:20:10 localhost kernel: ata1.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
Jul 16 08:20:10 localhost kernel: PM: resume of devices complete after 319.743 msecs
Jul 16 08:20:10 localhost kernel: ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Jul 16 08:20:10 localhost kernel: ata5: SATA link down (SStatus 0 SControl 300)
Jul 16 08:20:10 localhost kernel: ata1.00: ACPI cmd f5/00:00:00:00:00:a0 (SECURITY FREEZE LOCK) filtered out
Jul 16 08:20:10 localhost kernel: ata1.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
Jul 16 08:20:10 localhost kernel: ata1.00: configured for UDMA/133
Jul 16 08:20:10 localhost kernel: ata2.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
Jul 16 08:20:10 localhost kernel: ata2.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
Jul 16 08:20:10 localhost kernel: ata2.00: configured for UDMA/100
Jul 16 08:20:10 localhost kernel: Restarting tasks ... done.
Jul 16 08:20:10 localhost kernel: video LNXVIDEO:00: Restoring backlight state
Jul 16 08:20:10 localhost kernel: video LNXVIDEO:02: Restoring backlight state
Jul 16 08:20:10 localhost systemd: systemd-suspend.service: main process exited, code=exited, status=1/FAILURE
Jul 16 08:20:10 localhost systemd: Failed to start Suspend.
Jul 16 08:20:10 localhost systemd: Dependency failed for Suspend.
Jul 16 08:20:10 localhost systemd: 
Jul 16 08:20:10 localhost systemd: Service sleep.target is not needed anymore. Stopping.
Jul 16 08:20:10 localhost systemd: Unit systemd-suspend.service entered failed state.
Jul 16 08:20:10 localhost systemd-logind: Operation finished.
Jul 16 08:20:10 localhost systemd: Stopping Sleep.
Jul 16 08:20:10 localhost systemd: Stopped target Sleep.

Comment 1 khuffenb 2014-07-24 17:00:32 UTC
Continues to fail with upgrades to kernel 3.15.6-200.fc20.x86_64

I also see similar recent bugs from other distros here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1329689
https://bugs.freedesktop.org/show_bug.cgi?id=79988
but they may not be related

Comment 2 Danny Ciarniello 2014-07-29 01:03:11 UTC
I am having the same problem with an HP envy d7 latptop.

Here is some related output from dmesg:

[   92.811998] i8042 aux 00:08: System wakeup disabled by ACPI
[   92.825010] i8042 kbd 00:07: System wakeup enabled by ACPI
[   92.825139] nouveau  [     DRM] suspending display...
[   92.825143] nouveau  [     DRM] unpinning framebuffer(s)...
[   92.825146] ------------[ cut here ]------------
[   92.825212] WARNING: CPU: 2 PID: 1684 at drivers/gpu/drm/nouveau/nouveau_bo.c:358 nouveau_bo_unpin+0x120/0x130 [nouveau]()
[   92.825229] Modules linked in: rfcomm ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables bnep ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw vfat fat snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_codec_generic x86_pkg_temp_thermal coretemp snd_hda_intel snd_hda_controller snd_hda_codec kvm_intel snd_hwdep kvm arc4 uvcvideo videobuf2_vmalloc rtsx_pci_ms iwldvm mac80211 videobuf2_memops videobuf2_core btusb videodev rtsx_pci_sdmmc memstick iwlwifi crct10dif_pclmul crc32_pclmul snd_seq mmc_core bluetooth cfg80211 rtsx_pci crc32c_intel snd_seq_device
[   92.825238]  hp_accel hp_wmi r8169 media ghash_clmulni_intel iTCO_wdt iTCO_vendor_support sparse_keymap mii snd_pcm lis3lv02d lpc_ich microcode snd_timer snd soundcore rfkill shpchp serio_raw input_polldev i2c_i801 mei_me mfd_core mei hp_wireless nouveau i915 ttm i2c_algo_bit drm_kms_helper drm i2c_core mxm_wmi video wmi
[   92.825240] CPU: 2 PID: 1684 Comm: kworker/u16:84 Not tainted 3.15.6-200.fc20.x86_64 #1
[   92.825241] Hardware name: Hewlett-Packard HP ENVY dv7 Notebook PC/181D, BIOS F.12 09/03/2012
[   92.825245] Workqueue: events_unbound async_run_entry_fn
[   92.825247]  0000000000000000 000000006a8874d6 ffff880230b67c18 ffffffff816ef48e
[   92.825248]  0000000000000000 ffff880230b67c50 ffffffff8108933d ffff880249545400
[   92.825249]  ffff880251b36380 ffff880251b4b170 ffff880251b4b000 ffff880251b36000
[   92.825250] Call Trace:
[   92.825256]  [<ffffffff816ef48e>] dump_stack+0x45/0x56
[   92.825257]  [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
[   92.825259]  [<ffffffff8108946a>] warn_slowpath_null+0x1a/0x20
[   92.825280]  [<ffffffffa02528a0>] nouveau_bo_unpin+0x120/0x130 [nouveau]
[   92.825300]  [<ffffffffa025e31e>] nouveau_display_suspend+0x5e/0xd0 [nouveau]
[   92.825320]  [<ffffffffa024be67>] nouveau_do_suspend+0x157/0x2b0 [nouveau]
[   92.825338]  [<ffffffffa024bffe>] nouveau_pmops_suspend+0x3e/0xb0 [nouveau]
[   92.825342]  [<ffffffff8138f756>] pci_pm_suspend+0x76/0x140
[   92.825344]  [<ffffffff8138f6e0>] ? pci_pm_freeze+0xf0/0xf0
[   92.825347]  [<ffffffff814690c9>] dpm_run_callback+0x49/0xa0
[   92.825348]  [<ffffffff81469b9b>] __device_suspend+0xfb/0x2b0
[   92.825350]  [<ffffffff81469eaf>] async_suspend+0x1f/0xa0
[   92.825351]  [<ffffffff810b26b9>] async_run_entry_fn+0x39/0x120
[   92.825353]  [<ffffffff810a4af6>] process_one_work+0x176/0x430
[   92.825354]  [<ffffffff810a578b>] worker_thread+0x11b/0x3a0
[   92.825356]  [<ffffffff810a5670>] ? rescuer_thread+0x3b0/0x3b0
[   92.825357]  [<ffffffff810ac528>] kthread+0xd8/0xf0
[   92.825358]  [<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40
[   92.825360]  [<ffffffff816ff43c>] ret_from_fork+0x7c/0xb0
[   92.825361]  [<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40
[   92.825362] ---[ end trace 8baf8f21cef8ece3 ]---
[   92.825364] nouveau  [     DRM] evicting buffers...
[   92.835818] nouveau  [     DRM] waiting for kernel channels to go idle...
[   92.835845] nouveau  [     DRM] suspending client object trees...
[   92.836182] nouveau  [     DRM] suspending kernel object tree...
[   94.838032] nouveau E[   PDISP][0000:01:00.0][0xc000857c][ffff88003f88e900] fini timeout, 0xc2061008
[   94.838033] nouveau E[   PDISP][0000:01:00.0][0xc000857c][ffff88003f88e900] failed suspend, -16
[   94.838034] nouveau E[     DRM] 0xd1500000:0xd15c7c00 suspend failed with -16
[   94.838051] nouveau E[     DRM] 0xdddddddd:0xd1500000 suspend failed with -16
[   94.838140] nouveau E[     DRM] 0xffffffff:0xdddddddd suspend failed with -16
[   94.838644] nouveau E[     DRM] 0xffffffff:0xffffffff suspend failed with -16
[   94.838679] nouveau  [     DRM] resuming display...
[   94.838712] nouveau E[     DRM] bo ffff880249545400 pinned elsewhere: 0x00000002 vs 0x00000004
[   94.838714] [drm:drm_helper_resume_force_mode] *ERROR* failed to set mode on crtc ffff88025349a000
[   94.838736] pci_pm_suspend(): nouveau_pmops_suspend+0x0/0xb0 [nouveau] returns -16
[   94.838738] dpm_run_callback(): pci_pm_suspend+0x0/0x140 returns -16
[   94.838740] PM: Device 0000:01:00.0 failed to suspend async: error -16
[   94.838804] PM: Some devices failed to suspend, or early wake event detected

Comment 3 Pavel Alexeev 2014-08-19 08:11:35 UTC
I think I have same issue:

Aug 17 12:48:45 localhost kernel: [136852.861996] PM: Syncing filesystems ... done.
Aug 17 12:48:45 localhost kernel: [136853.303941] Freezing user space processes ... (elapsed 0.002 seconds) done.
Aug 17 12:48:45 localhost kernel: [136853.306537] Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
Aug 17 12:48:45 localhost kernel: [136853.307671] Suspending console(s) (use no_console_suspend to debug)
Aug 17 12:48:45 localhost kernel: [136853.308017] sd 0:0:0:0: [sda] Synchronizing SCSI cache
Aug 17 12:48:45 localhost kernel: [136853.330926] nouveau  [     DRM] suspending display...
Aug 17 12:48:45 localhost kernel: [136853.330930] nouveau  [     DRM] unpinning framebuffer(s)...
Aug 17 12:48:45 localhost kernel: [136853.330936] nouveau  [     DRM] evicting buffers...
Aug 17 12:48:45 localhost kernel: [136853.330937] nouveau  [     DRM] waiting for kernel channels to go idle...
Aug 17 12:48:45 localhost kernel: [136853.330971] nouveau  [     DRM] suspending client object trees...
Aug 17 12:48:45 localhost kernel: [136853.331466] nouveau  [     DRM] suspending kernel object tree...
Aug 17 12:48:45 localhost kernel: [136854.054623] sd 0:0:0:0: [sda] Stopping disk
Aug 17 12:48:45 localhost kernel: [136855.332189] nouveau E[   PDISP][0000:02:00.0][0xc000857c][ffff88023e14e000] fini timeout, 0xc2071008
Aug 17 12:48:45 localhost kernel: [136855.332192] nouveau E[   PDISP][0000:02:00.0][0xc000857c][ffff88023e14e000] failed suspend, -16
Aug 17 12:48:45 localhost kernel: [136855.332196] nouveau E[     DRM] 0xd1500000:0xd15c7c00 suspend failed with -16
Aug 17 12:48:45 localhost kernel: [136855.332222] nouveau E[     DRM] 0xdddddddd:0xd1500000 suspend failed with -16
Aug 17 12:48:45 localhost kernel: [136855.332357] nouveau E[     DRM] 0xffffffff:0xdddddddd suspend failed with -16
Aug 17 12:48:45 localhost kernel: [136855.332942] nouveau E[     DRM] 0xffffffff:0xffffffff suspend failed with -16
Aug 17 12:48:45 localhost kernel: [136855.333187] nouveau  [     DRM] resuming display...
Aug 17 12:48:45 localhost kernel: [136855.357010] pci_pm_suspend(): nouveau_pmops_suspend+0x0/0xb0 [nouveau] returns -16
Aug 17 12:48:45 localhost kernel: [136855.357014] dpm_run_callback(): pci_pm_suspend+0x0/0x140 returns -16
Aug 17 12:48:45 localhost kernel: [136855.357017] PM: Device 0000:02:00.0 failed to suspend async: error -16
Aug 17 12:48:45 localhost kernel: [136855.357030] PM: Some devices failed to suspend, or early wake event detected
Aug 17 12:48:45 localhost kernel: [136855.368095] sd 0:0:0:0: [sda] Starting disk
Aug 17 12:48:45 localhost kernel: [136855.628226] PM: resume of devices complete after 271.170 msecs
Aug 17 12:48:45 localhost kernel: [136855.629220] Restarting tasks ... done.

Comment 4 khuffenb 2014-09-02 02:43:25 UTC
Suspend is now working again for me as of this kernel

kernel.x86_64                     3.15.10-201.fc20

My nouveau is still the same version as before, so I think it is the kernel upgrade that resolved the issue.
xorg-x11-drv-nouveau.x86_64       1:1.0.9-2.fc20

Thanks,

---Kevin

Comment 5 Danny Ciarniello 2014-09-03 04:18:29 UTC
Unfortunately, it's still not working on my system.  Same kernel, same nouveau driver.

Comment 6 Danny Ciarniello 2014-12-30 20:01:38 UTC
Oops, forgot to update this ticket.

It seems that this is no longer a problem with the latest kernels on my system.  Unfortunately, I don't remember which kernel update fixed the problem.  It was at least a couple after 3.5.10-201.fc20.

Comment 7 Fedora End Of Life 2015-05-29 12:23:17 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-06-29 21:37:06 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.